# Octopus Neuron Simulation

## Instructions to Run

1. **Install NEURON 8.2 Simulation Environment.**

2. **Compile Mod Files:**
	- Compile the mod files in the folder into a new `special`.
	- Alternatively, drag and drop the folder of interest into the `mknrndll` application icon in NEURON.

3. **Run the Simulation:**
	- Open Terminal and navigate to the directory containing this file.
	- Execute one of the following commands:
	  - For a full morphologically realistic simulation:
		 ```bash
		 mod/x86_64/special init-octopus-simulation.hoc
		 ```
	  - For a reduced compartment simulation:
		 ```bash
		 mod/x86_64/special Original_test_octopus_spencer_stick.hoc
		 ```

4. **Mimic Kv and HCN Block or Control Conditions:**
	- To mimic Kv and HCN block, set `scl` and `ghf` to `0`.
	- To mimic control conditions, set `scl` to `1e-1` and `ghf` to `1`.

5. **Tune Conductance:**
	- Excitatory and inhibitory conductance can be adjusted from the GUI.